{% extends "admin/base.html" %}
{% block content %}
<div class="content container-fluid">
<div class="row">
 <div class="col-sm-8">
   <h4 class="page-title">Payments</h4>
 </div>
 <div class="col-sm-4 text-right m-b-30">
   {% if current_user.role.permissions.create_inventory == True %}<a href="{{ url_for('main.create_payment') }}" class="btn btn-primary rounded"><i class="fa fa-plus"></i> Create New Payment</a>{% endif %}
 </div>
</div>
<div class="row">
 <div class="col-md-12">
   <div class="table-responsive" id="alert">
     <table id="newtab" class="table table-striped custom-table datatable">
       <thead>
         <tr>
           <th>#</th>
           <th>invoice id</th>
           <th>client id</th>
           <th>Payment mode</th>
           <th>payment type</th>
           <th>payment Date</th>
           <th>Amount</th>
           <th class="text-right">Action</th>
         </tr>
       </thead>
       <tbody id="tab">
         {% for payment in payments %}

         <tr id='del{{ payment.id }}'>
           <td>{{ loop.index }}</td>
           <td>{% if current_user.role.permissions.read_inventory == True %}<a href="{{ url_for('main.view_payment', id=payment.id) }}">{{ payment.invoice.invoice_no }}</a>{% else %} {{ payment.invoice_id }} {% endif %}</td>
            <td>{{ payment.invoice.quotation.client.client_name }}</td>
           <td>{{ payment.payment_mode }}</td>
           <td>{{ payment.payment_type }}</td>
           <td>{{ moment(payment.payment_date).format("MMM Do YYYY") }}</td>
           <td>{{ payment.amount }}</td>
           <td class="text-right">
             <div class="dropdown">
               <a href="#" class="action-icon dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><i class="fa fa-ellipsis-v"></i></a>
               <ul class="dropdown-menu pull-right">
                 {% if current_user.role.permissions.write_inventory == True %}<li><a href="{{ url_for('main.edit_payment', id=payment.id) }}"><i class="fa fa-pencil m-r-5"></i> Edit</a></li>{% endif %}
                 {% if current_user.role.permissions.read_inventory == True %}<li><a href="{{ url_for('main.view_payment', id=payment.id) }}"><i class="fa fa-eye m-r-5"></i> View</a></li>{% endif %}
                 {% if current_user.role.permissions.delete_inventory == True %}<li><a href="#" onclick="delete_row('{{ payment.id }}','Payment', '#del{{ payment.id }}')"><i class="fa fa-trash-o m-r-5"></i> Delete</a></li> {% endif %}
               </ul>
             </div>
           </td>
         </tr>

          {% endfor %}
      </tbody>

     </table>
   </div>
 </div>
</div>
     </div>
{% endblock %}
